{% block sw_cms_el_icon_text_element %}	
	{% set element = block.slots.getSlot('one') %}
	
	{% set blocks = block.slots.elements %}
	
	{% set sliderConfig = element.fieldConfig.elements %}
	
    {# @var mediaItems \Shopware\Core\Content\Media\MediaCollection #}


	{% for slot in blocks |sort %}
		{% set config = slot.translated.config %}

		<div class="cms-block-icon-text-element text-center my-2 my-lg-5">
			{% sw_include "@Storefront/storefront/utilities/icon.html.twig" with { 'name': config.elementIcon.value, 'size': 'sm', 'pack': 'digitalisman', 'color': 'success'} %}
				
			{{config.elementText.value |raw}}
			
			<p class="fadeIn">{{ config.elementSubtext.value|replace({'#': "<span>#{config.elementValue.value}</span>", '%': '<span>%</span>'}) | raw }}</p>
			
			<div class="images">
				{% for item in sliderConfig.sliderItems.value %}

					{% set mediaCollection = searchMedia([item.mediaId], context.context) %}
					{% set sportsMedia = mediaCollection.get(item.mediaId) %}
										
					{% sw_thumbnails 'icon-text-element-thumbnails' with {
						media: sportsMedia,
						sizes: { 
							'default': '44px' 
						},
						attributes: { 
							'class': 'client-image rounded-circle', 
							'alt': sportsMedia.translated.alt, 
							'title': sportsMedia.translated.title 
						} 
					} %}
				{% endfor %}
			</div>
			
		</div>
	{% endfor %}
	
{% endblock %}